
Redmine - Defect #31478

RepositoriesController entry is missing a template for Image

2019-05-30 13:05 - Enziin System

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.0.3

Description

My environment:

Rails 5.2.3

Ruby 2.5.3

Redmine 4

The scenario:

- Add new image PNG format to the repository SVN

- Preview the image PNG

I get an error:

ActionController::UnknownFormat (RepositoriesController#entry is missing a template for this request format and variant.

request.formats: ["image/png"]

request.variant: []):

lib/redmine/sudo_mode.rb:65:in `sudo_mode'

Started GET "/projects/active-power-filter/repository/31/entry/Documents/Overview.png" for 172.22.0.8 at 2019-05-30 10:53:09

+0000

Processing by RepositoriesController#entry as PNG

Related issues:

Is duplicate of Redmine - Defect #31141: SCM: error when *.yml and *.txt show Closed

History

#1 - 2019-05-30 16:08 - Go MAEDA

- Resolution set to Duplicate

I think it has been fixed in r18211 today.

#2 - 2019-05-30 16:09 - Go MAEDA

- Is duplicate of Defect #31141: SCM: error when *.yml and *.txt show added

#3 - 2019-05-31 06:22 - Enziin System

- Status changed from New to Resolved

It resolved.

#4 - 2019-05-31 07:17 - Go MAEDA

- Status changed from Resolved to Closed

Thank you for the feedback. Closing.
